Package com.independentsoft.office.word

# Enum Class ZoomType

java.lang.Object
java.lang.Enum<ZoomType>
com.independentsoft.office.word.ZoomType

All Implemented Interfaces:
  `Serializable`, `Comparable<ZoomType>`, `Constable`

public enum ZoomType extends Enum<ZoomType>
The Enum ZoomType.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BEST_FIT`
  `FULL_PAGE`
  `NONE`
  `TEXT_FIT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ZoomType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static ZoomType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BEST_FIT

    public static final ZoomType BEST_FIT

  - ### FULL_PAGE

    public static final ZoomType FULL_PAGE

  - ### TEXT_FIT

    public static final ZoomType TEXT_FIT

  - ### NONE

    public static final ZoomType NONE

- ## Method Details

  - ### values

    public static ZoomType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ZoomType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null